Chart::Manual(3)

NAME
Chart::Manual - Chart user documentation index

SYNOPSIS
Chart is a collection of modules for visualizing numerical data. It is designed for: (in that order) maximal flexibility, feature richness and minimal dependencies. It can write PNG and JPG images into files and STDOUT (for web and shell usage).

The early API is mostly borrowed from Martien Verbruggen's GIFgraph module.

TYPES
Example programs with output for each chart type: Chart::Manual::Types

WORKFLOWS
Ways to use Chart, broadly described: Chart::Manual::Workflows

METHODS
Descriptions of all methods geared toward the user: Chart::Manual::Methods

PROPERTIES
The method "set" allows to directly change particular chart properties. All of these explained in detail with their acceptable and default values are sorted there by name and topic or type:

Chart::Manual::Properties

FUTURE CHANGES
Much of what is documented here will be superseded by a new API provided by upcoming version 3.0. The old API will be discouraged but not deprecated, except maybe the module Chart::Composite and some properties. The new API will aply only to objects created by Chart->new(...);

COPYRIGHT & LICENSE
Copyright 2022 David Bonner, Herbert Breunung.

This program is free software; you can redistribute it and/or modify it under same terms as Perl itself.

AUTHOR
David Bonner, Chart Group,

Herbert Breunung, <lichtkind@cpan.org>